<?php
/*
 *  @package   com_jphpx
 *  @version   Version 1.3.3
 *  @author    Joachim Schmidt - joachim.schmidt@jschmidt-systemberatung.de
 *  @copyright (C) 2021 Joachim Schmidt. All rights reserved.
 *  @license   http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 *
 * change activity:
 */
defined('_JEXEC') or die('Restricted access');
use Joomla\CMS\Factory;
use Joomla\CMS\Version;

function JphpxiBuildRoute (&$query)
{
    $joomla_version = new Version();
    if (version_compare($joomla_version->getShortVersion(), '4.2', '>='))
        $db = $this->getDatabase();
    else
        $db = Factory::getDBO();

    $segments = array();

    if (isset($query['fileid']))
    {
        $db->setQuery('select title from #__jphpx where id = ' . $query['fileid']);
        $segments[] = $db->loadResult();
        unset($query['fileid']);
    }

    return $segments;
}

function JphpxiParseRoute ($segments)
{
    $joomla_version = new Version();
    if (version_compare($joomla_version->getShortVersion(), '4.2', '>='))
        $db = $this->getDatabase();
    else
        $db = Factory::getDBO();

    $vars = array();

    $db->setQuery('select id from #__jphpx where title = "' . $segments[0] . '"');
    $vars['fileid'] = $db->loadResult();

    return $vars;
}