<?php
/*
 *  @package   mod_jphpx
 *  @version   Version 1.3.3
 *  @author    Joachim Schmidt - joachim.schmidt@jschmidt-systemberatung.de
 *  @copyright (C) 2021 Joachim Schmidt. All rights reserved.
 *  @license   http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 *
 * change activity:
 */
// No direct access
defined('_JEXEC') or die;
use Joomla\CMS\Language\Text;
if (! empty($jphpx))
{
    $filepath = JPATH_ROOT . "/" . $jphpx;
    if (is_file($jphpx))
    {
        require ($jphpx);
    }
    elseif (is_file($filepath))
        require $filepath;
    else
        echo '<div style="color:red;">&nbsp;' . Text::sprintf('MOD_ERROR_FILE', $filepath) . '</div>';
}
else
    echo '<div style="color:red;">&nbsp;' . Text::sprintf('MOD_ERROR_FILE', '...no file...') . '</div>';