/*
 * printThis v1.15.1
 * @desc Printing plug-in for jQuery
 * @author Jason Day
 *
 * Resources (based on):
 * - jPrintArea: http://plugins.jquery.com/project/jPrintArea
 * - jqPrint: https://github.com/permanenttourist/jquery.jqprint
 * - Ben Nadal: http://www.bennadel.com/blog/1591-Ask-Ben-Print-Part-Of-A-Web-Page-With-jQuery.htm
 *
 * Licensed under the MIT licence:
 *              http://www.opensource.org/licenses/mit-license.php
 *
 * (c) Jason Day 2015-2019
 */
!function(e){function t(e,t){t&&e.append(t.jquery?t.clone():t)}function n(t,n,i){var a,o,r,s=n.clone(i.formValues);i.formValues&&(a=s,o="select, textarea",r=n.find(o),a.find(o).each((function(t,n){e(n).val(r.eq(t).val())}))),i.removeScripts&&s.find("script").remove(),i.printContainer?s.appendTo(t):s.each((function(){e(this).children().appendTo(t)}))}var i;e.fn.printThis=function(a){i=e.extend({},e.fn.printThis.defaults,a);var o=this instanceof jQuery?this:e(this),r="printThis-"+(new Date).getTime();if(window.location.hostname!==document.domain&&navigator.userAgent.match(/msie/i)){var s='javascript:document.write("<head><script>document.domain=\\"'+document.domain+'\\";<\/script></head><body></body>")',c=document.createElement("iframe");c.name="printIframe",c.id=r,c.className="MSIE",document.body.appendChild(c),c.src=s}else{e("<iframe id='"+r+"' name='printIframe' />").appendTo("body")}var d=e("#"+r);i.debug||d.css({position:"absolute",width:"0px",height:"0px",left:"-600px",top:"-600px"}),"function"==typeof i.beforePrint&&i.beforePrint(),setTimeout((function(){i.doctypeString&&function(e,t){var n,i;(i=(n=(n=e.get(0)).contentWindow||n.contentDocument||n).document||n.contentDocument||n).open(),i.write(t),i.close()}(d,i.doctypeString);var a,r=d.contents(),s=r.find("head"),c=r.find("body"),l=e("base");a=!0===i.base&&l.length>0?l.attr("href"):"string"==typeof i.base?i.base:document.location.protocol+"//"+document.location.host,s.append('<base href="'+a+'">'),i.importCSS&&e("link[rel=stylesheet]").each((function(){var t=e(this).attr("href");if(t){var n=e(this).attr("media")||"all";s.append("<link type='text/css' rel='stylesheet' href='"+t+"' media='"+n+"'>")}})),i.importStyle&&e("style").each((function(){s.append(this.outerHTML)})),i.pageTitle&&s.append("<title>"+i.pageTitle+"</title>"),i.loadCSS&&(e.isArray(i.loadCSS)?jQuery.each(i.loadCSS,(function(e,t){s.append("<link type='text/css' rel='stylesheet' href='"+this+"'>")})):s.append("<link type='text/css' rel='stylesheet' href='"+i.loadCSS+"'>"));var p=e("html")[0];r.find("html").prop("style",p.style.cssText);var f=i.copyTagClasses;if(f&&(-1!==(f=!0===f?"bh":f).indexOf("b")&&c.addClass(e("body")[0].className),-1!==f.indexOf("h")&&r.find("html").addClass(p.className)),t(c,i.header),i.canvas){var m=0;o.find("canvas").addBack("canvas").each((function(){e(this).attr("data-printthis",m++)}))}if(n(c,o,i),i.canvas&&c.find("canvas").each((function(){var t=e(this).data("printthis"),n=e('[data-printthis="'+t+'"]');this.getContext("2d").drawImage(n[0],0,0),e.isFunction(e.fn.removeAttr)?n.removeAttr("data-printthis"):e.each(n,(function(e,t){t.removeAttribute("data-printthis")}))})),i.removeInline){var u=i.removeInlineSelector||"*";e.isFunction(e.removeAttr)?c.find(u).removeAttr("style"):c.find(u).attr("style","")}t(c,i.footer),function(e,t){var n=e.get(0);n=n.contentWindow||n.contentDocument||n,"function"==typeof t&&("matchMedia"in n?n.matchMedia("print").addListener((function(e){e.matches&&t()})):n.onbeforeprint=t)}(d,i.beforePrintEvent),setTimeout((function(){d.hasClass("MSIE")?(window.frames.printIframe.focus(),s.append("<script>  window.print(); <\/script>")):document.queryCommandSupported("print")?d[0].contentWindow.document.execCommand("print",!1,null):(d[0].contentWindow.focus(),d[0].contentWindow.print()),i.debug||setTimeout((function(){d.remove()}),1e3),"function"==typeof i.afterPrint&&i.afterPrint()}),i.printDelay)}),333)},e.fn.printThis.defaults={debug:!1,importCSS:!0,importStyle:!1,printContainer:!0,loadCSS:"",pageTitle:"",removeInline:!1,removeInlineSelector:"*",printDelay:333,header:null,footer:null,base:!1,formValues:!0,canvas:!1,doctypeString:"<!DOCTYPE html>",removeScripts:!1,copyTagClasses:!1,beforePrintEvent:null,beforePrint:null,afterPrint:null}}(jQuery);